com.microfocus.awm.model.internal

## Class FileResource

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - com.microfocus.awm.model.internal.Resource
    - - com.microfocus.awm.model.internal.FileResource

- All Implemented Interfaces:
    IFileResource, IResource, org.eclipse.core.runtime.IAdaptable

      public class FileResource
      extends Resource
      implements IFileResource

  Basic implementation of `IFileResource`.
  Author:
    Ralf Pakosch

- - ### Field Summary

    - ### Fields inherited from class com.microfocus.awm.model.internal.Resource

      `_ID, _name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileResource(FileDescriptor pFD)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileDescriptor` | `getFileDescriptor()`
    `java.lang.String` | `getFullPath()`

    - ### Methods inherited from class com.microfocus.awm.model.internal.Resource

      `addChildResource, addPropertyValue, addResourceChild, delete, equals, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, getValueOfLinkedProperty, hashCode, removeProperty, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from class org.eclipse.core.runtime.PlatformObject

      `getAdapter`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addPropertyValue, addResourceChild, delete, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Constructor Detail

    - #### FileResource

          public FileResource(FileDescriptor pFD)

      Basic constructor.
      Parameters:
        `pFD` - the file descriptor

  - ### Method Detail

    - #### getFileDescriptor

          public FileDescriptor getFileDescriptor()

      Specified by:
        `getFileDescriptor` in interface `IFileResource`
      Returns:
        the `FileDescriptor` of this resource

    - #### getFullPath

          public java.lang.String getFullPath()

      Specified by:
        `getFullPath` in interface `IFileResource`
      Returns:
        the file path relative to the workspace.

Copyright © 2015 Micro Focus GmbH. All rights reserved.